SC_PUT_DATA(3)

NAME
sc_put_data - Store a primitive data object on a card

SYNOPSIS

#include <opensc.h>
int sc_put_data(sc_card_t *card, unsigned int tag,
                const unsigned char *buf, size_t len);

DESCRIPTION

This function is used to store a primitive data object oncard. It corresponds to the PUT DATA command in theISO 7816 standard. The data to be sent to the card is stored in buf, which isbuflen bytes long.

The tag parameter specifies the object to be stored. Refer to the standard for the correct values to use.

RETURN VALUE

Returns 0 if successful, or a negative value in case of error.